# Get batch information This endpoint allows you to query the status and consolidated summary of a previously created transaction batch ("payout") based on its ID, including how many transactions were completed successfully, are pending, or resulted in an error. In case of success, the request will return a response with status 200. **GET** `/v1/payouts/{payout_id}` ## Request parameters ### Path - `payout_id` (string, required) Identifier of the payout you wish to consult, returned in the response to its creation within the "id" field. ## Response parameters - `id` (string, optional) Unique payout identifier, automatically generated. - `status` (string, optional) Payout's current status. Possible enum values: - `created` The payout was created successfully. - `pending` The payout is pending and awaiting further processing. - `in_process` The payout is being processed. - `completed` All transactions in the payout have been processed (success, error, or canceled). - `canceled` The payout was canceled. - `external_reference` (string, optional) External reference of the payout, generated by the integrator at the time of creation. - `config` (object, optional) Object containing settings of the user performing the transaction. - `config.notification_url` (string, optional) URL available to receive notifications of events related to the transaction, such as changes in its status. - `summary` (object, optional) Summary of the payout transactions grouped by status. - `summary.pending` (object, optional) - `summary.pending.items` (integer, optional) Number of pending transactions. - `summary.canceled` (object, optional) - `summary.canceled.items` (integer, optional) Number of canceled transactions. - `summary.success` (object, optional) - `summary.success.items` (integer, optional) Number of transactions completed successfully. - `summary.error` (object, optional) - `summary.error.items` (integer, optional) Number of transactions with error. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | invalid_payout_id | Invalid data was sent in the request body. The payout was not found. Try sending the request again, validating all fields. | | 400 | invalid_transaction_id | Invalid data was sent in the request body. The transaction was not found. Try sending the request again, validating all fields. | | 400 | invalid_signature | Invalid data was sent in the request body. Check if the secret was generated correctly and is registered with Mercado Pago. Also check if the body you are sending is the one that was encrypted. | | 400 | idempotency_key_required | Invalid data was sent in the request body. The idempotency key ("idempotency_key") is missing. Try sending the request again, validating all fields. | | 401 | invalid_token | The value sent as Access Token is incorrect. Please check and try again with the correct value. | | 403 | forbidden | No permission to access the resource. | | 404 | not_found | Payout not found. Please check if you provided the correct payout ID. | | 500 | internal_server_error | An unexpected error occurred on the server. Try the request again. | | 502 | bad_gateway | An error occurred in the integration with an external service. Try the request again. | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/v1/payouts/{payout_id}' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "id": "POP01KV681P6SJ38NQHWX3XK162SS", "status": "completed", "external_reference": "000197", "config": { "notification_url": "https://link-your-webhook-notification.com" }, "summary": { "pending": { "items": 0 }, "canceled": { "items": 0 }, "success": { "items": 0 }, "error": { "items": 2 } } } ```